readAgilent {arrayQuality} | R Documentation

## Extraction of measures from Agilent (.txt) files.

### Description

This component reads an Agilent file (.txt) and returns columns used for quality control.

### Usage

    readAgilent(fnames = NULL, path= ".", DEBUG=FALSE, skip = 0, sep ="\t",
    quote="\"",controlId=c("ProbeName"), ...)

### Arguments

`fnames` | A "character" string naming the input file.
`path` | a "character" string representing the data directory. By default this is set to the current working directory (".").
`DEBUG` | If 'TRUE', debug statements are printed.
`skip` | Number of lines to skip in the gpr files.
`sep` | A "character" string defining the type of separation for the columns in the gpr files.
`quote` | A "character" string defining the type of quote in the gpr files.
`controlId` | Character string. Name of the column of the file used to define controls.
`...` | additional arguments.

### Value

A list of vectors containing information extracted from the Agilent file

### Author(s)

Agnes Paquet

### See Also

`slideQuality`, `agQuality`, `globalQuality`

### Examples

[Package arrayQuality version 1.0.11 Index]